# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'welcome/welcome.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_WelcomeWindow(object):
    def setupUi(self, WelcomeWindow):
        WelcomeWindow.setObjectName("WelcomeWindow")
        WelcomeWindow.resize(860, 515)
        WelcomeWindow.setMinimumSize(QtCore.QSize(600, 400))
        WelcomeWindow.setMaximumSize(QtCore.QSize(1000, 16777215))
        WelcomeWindow.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/welcome/icon/welcome/assets/icon.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        WelcomeWindow.setWindowIcon(icon)
        self.centralwidget = QtWidgets.QWidget(WelcomeWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName("gridLayout")
        self.widget = QtWidgets.QWidget(self.centralwidget)
        self.widget.setObjectName("widget")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.widget)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.scrollArea = QtWidgets.QScrollArea(self.widget)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 808, 604))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents)
        self.gridLayout_3.setObjectName("gridLayout_3")
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem, 6, 2, 1, 1)
        self.LJ2D_button = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        self.LJ2D_button.setObjectName("LJ2D_button")
        self.gridLayout_3.addWidget(self.LJ2D_button, 1, 2, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem1, 2, 2, 1, 1)
        self.worksheet_pV_button = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        self.worksheet_pV_button.setObjectName("worksheet_pV_button")
        self.gridLayout_3.addWidget(self.worksheet_pV_button, 1, 5, 1, 1)
        self.stars_button = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        self.stars_button.setObjectName("stars_button")
        self.gridLayout_3.addWidget(self.stars_button, 4, 2, 1, 1)
        self.LJ3D_button = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        self.LJ3D_button.setObjectName("LJ3D_button")
        self.gridLayout_3.addWidget(self.LJ3D_button, 1, 4, 1, 1)
        self.image_1 = QtWidgets.QLabel(self.scrollAreaWidgetContents)
        self.image_1.setMaximumSize(QtCore.QSize(250, 250))
        self.image_1.setText("")
        self.image_1.setPixmap(QtGui.QPixmap(":/welcome/LJ2D/welcome/assets/LJ2D.png"))
        self.image_1.setScaledContents(True)
        self.image_1.setWordWrap(False)
        self.image_1.setObjectName("image_1")
        self.gridLayout_3.addWidget(self.image_1, 0, 2, 1, 1, QtCore.Qt.AlignHCenter)
        self.image_3 = QtWidgets.QLabel(self.scrollAreaWidgetContents)
        self.image_3.setMaximumSize(QtCore.QSize(250, 250))
        self.image_3.setText("")
        self.image_3.setPixmap(QtGui.QPixmap(":/welcome/pV/welcome/assets/pV.png"))
        self.image_3.setScaledContents(True)
        self.image_3.setObjectName("image_3")
        self.gridLayout_3.addWidget(self.image_3, 0, 5, 1, 1, QtCore.Qt.AlignHCenter)
        self.image_4 = QtWidgets.QLabel(self.scrollAreaWidgetContents)
        self.image_4.setMaximumSize(QtCore.QSize(250, 250))
        self.image_4.setText("")
        self.image_4.setPixmap(QtGui.QPixmap(":/welcome/star/welcome/assets/Star.png"))
        self.image_4.setScaledContents(True)
        self.image_4.setObjectName("image_4")
        self.gridLayout_3.addWidget(self.image_4, 3, 2, 1, 1, QtCore.Qt.AlignHCenter)
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem2, 5, 2, 1, 1)
        self.image_2 = QtWidgets.QLabel(self.scrollAreaWidgetContents)
        self.image_2.setMaximumSize(QtCore.QSize(250, 250))
        self.image_2.setText("")
        self.image_2.setPixmap(QtGui.QPixmap(":/welcome/LJ3D/welcome/assets/LJ3D.png"))
        self.image_2.setScaledContents(True)
        self.image_2.setObjectName("image_2")
        self.gridLayout_3.addWidget(self.image_2, 0, 4, 1, 1, QtCore.Qt.AlignHCenter)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.gridLayout_2.addWidget(self.scrollArea, 2, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.widget)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.label_2.setFont(font)
        self.label_2.setInputMethodHints(QtCore.Qt.ImhNone)
        self.label_2.setLineWidth(3)
        self.label_2.setMidLineWidth(6)
        self.label_2.setTextFormat(QtCore.Qt.AutoText)
        self.label_2.setWordWrap(False)
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.label_2, 0, 0, 1, 1, QtCore.Qt.AlignHCenter)
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.gridLayout_2.addItem(spacerItem3, 1, 0, 1, 1)
        self.gridLayout.addWidget(self.widget, 0, 0, 1, 1)
        WelcomeWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(WelcomeWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 860, 22))
        self.menubar.setObjectName("menubar")
        WelcomeWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(WelcomeWindow)
        self.statusbar.setObjectName("statusbar")
        WelcomeWindow.setStatusBar(self.statusbar)

        self.retranslateUi(WelcomeWindow)
        QtCore.QMetaObject.connectSlotsByName(WelcomeWindow)
        WelcomeWindow.setTabOrder(self.scrollArea, self.LJ2D_button)
        WelcomeWindow.setTabOrder(self.LJ2D_button, self.LJ3D_button)
        WelcomeWindow.setTabOrder(self.LJ3D_button, self.worksheet_pV_button)
        WelcomeWindow.setTabOrder(self.worksheet_pV_button, self.stars_button)

    def retranslateUi(self, WelcomeWindow):
        _translate = QtCore.QCoreApplication.translate
        WelcomeWindow.setWindowTitle(_translate("WelcomeWindow", "Welcome to PyStar!"))
        self.LJ2D_button.setText(_translate("WelcomeWindow", "Lennard-Jones-Fluid in 2D"))
        self.worksheet_pV_button.setText(_translate("WelcomeWindow", "p(V)-Dependence"))
        self.stars_button.setText(_translate("WelcomeWindow", "Stars"))
        self.LJ3D_button.setText(_translate("WelcomeWindow", "Lennard-Jones-Fluid in 3D"))
        self.label_2.setText(_translate("WelcomeWindow", "Choose your simulation system!"))
from . import resource_rc
